Documents
Retrieve a Document
Retrieves one document by its document_uuid. The response provides the
document both as a download_url (valid for 1 hour, regenerated on
every call) and as a Base64-encoded string.
GET
/
v5
/
shipments
/
documents
/
{document_uuid}
/
Retrieve a Document
curl --request GET \
--url https://api.perform.ai/v5/shipments/documents/{document_uuid}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.perform.ai/v5/shipments/documents/{document_uuid}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.perform.ai/v5/shipments/documents/{document_uuid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_response": "200",
"status": "success",
"message": "Success",
"data": {
"shipment_uuid": "0236beab-3dcc-4abf-a21a-24f9842b0587",
"shipment_id": "SHP-2026-000002",
"tracking_number": "00340434616780000001",
"document_uuid": "c49ff8f4-33c1-4c5f-a1c5-cfa84c18d305",
"document_id": "LBL-000114",
"name": "Shipping Label QR",
"type": "shipping_label_qr",
"file_format": "png",
"download_url": "https://documents.perform.ai/org_5123/lbl-000114.png",
"base64_content": "JVBERi0xLjUKJeLjz9MKNCAwIG9iago8PC9GaWx0ZXIvRmxhdGVEZWNvZGUK",
"created_date": "2026-09-19T03:30:00+00:00",
"additional_info": {}
}
}{
"api_response": 403,
"message": "Key not authorized"
}{
"api_response": "404",
"message": "No document is found"
}{
"api_response": 429,
"message": "Throttled"
}{
"api_response": "500",
"message": "System error"
}Authorizations
Used by every functional endpoint. Generate the token with POST /auth/oauth/token/ and send it as Authorization: Bearer {token}.
Path Parameters
Perform.AI identifier of the document to retrieve.
⌘I
Retrieve a Document
